GNU bug report logs - #27804
[WSL] emacs 24.4+ in console suspends itself on M-x list-packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Josh Howard <jraitch@HIDDEN>; merged with #25221; dated Mon, 24 Jul 2017 17:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[WSL] emacs 24.4+ in console suspends itself on M-x list-packages' from '26.0.50; Emacs backgrounds itself during package-list-packages on WSL' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 20:25:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 16:25:26 2017
Received: from localhost ([127.0.0.1]:56384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da6OQ-0000F9-0O
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 16:25:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jraitch@HIDDEN>) id 1da6ON-0000Eq-GK
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 16:25:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da6OH-0003EN-83
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 16:25:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58590)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>) id 1da6OH-0003ED-3v
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 16:25:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33801)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da6OF-0000Z8-Og
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 16:25:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da6OB-0003AM-Ps
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 16:25:11 -0400
Received: from mail-oln040092011076.outbound.protection.outlook.com
 ([40.92.11.76]:37863 helo=NAM04-SN1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>)
 id 1da6OB-000387-BZ; Tue, 25 Jul 2017 16:25:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=whlhkSQFHfBvT+MzMmLbQE303jEdbFSo4V4tfXinAJ8=;
 b=MyAgraZcpirXxD2Q8d51uwblDnoEXMdJn6iApg0i5+fPeTMwfu86zQ0c0TkhG/S7BO0thkroYe/nBxyD4JHVmu7YN45IQUpi0FkI53+WJSkl36IlHNc4eNH2++pSNOJSjyJ2i67fqXb01b2zxKMsHAHw6IqW9IDltxCQO6BXW2aAeRuNnwqpibCHh3HE3Ood0Dg6//KTJz1j4giAOT3BQTwSsew/E5PQoi/2hRwoxWxYr83Yzh0outiJcmx4RmX/kb1xgqAoZzw/OQN8iIGHU4jdxj8gVkMdMCwptqWs3cC59+ecIR4NMnJSrcBn8gPnFZryX/EXynAQQk9Sf2F0jw==
Received: from CO1NAM04FT031.eop-NAM04.prod.protection.outlook.com
 (10.152.90.52) by CO1NAM04HT220.eop-NAM04.prod.protection.outlook.com
 (10.152.91.82) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.1.1240.9; Tue, 25
 Jul 2017 20:25:05 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com (10.152.90.51) by
 CO1NAM04FT031.mail.protection.outlook.com (10.152.90.125) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.1240.9 via Frontend Transport; Tue, 25 Jul 2017 20:25:05 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) by
 BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) with mapi id
 15.01.1282.020; Tue, 25 Jul 2017 20:25:04 +0000
From: Josh Howard <jraitch@HIDDEN>
To: Angelo Graziosi <angelo.graziosi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Topic: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Index: AQHTBVEEPHfrvQPz2E6TVu3/xG3ytqJk3uoEgAAeA0Q=
Date: Tue, 25 Jul 2017 20:25:04 +0000
Message-ID: <BY1PR11MB0469CAE425BCC78DBCBFCDE2B3B80@HIDDEN>
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
 <83bmo87g5u.fsf@HIDDEN>
 <1e29864e-256c-9348-b023-dc334f940e22@HIDDEN>,<83tw205prm.fsf@HIDDEN>
In-Reply-To: <83tw205prm.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=outlook.com;
x-incomingtopheadermarker: OriginalChecksum:53BEBA10580AB493BB1F64B24F6259E5834D3B10B8A89D6949E4E8E165AA4F2F;
 UpperCasedChecksum:2D55081E9A1113674CEFA2D1CA6AA0B0991453FA1A6B8C95010ACDDBE0ACF59A;
 SizeAsReceived:7393; Count:46
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [T8FP5Uye4Cxiu9ypN/IwObzZ9OICaR1R]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; CO1NAM04HT220;
 7:CYjSAdNnfYxwxJ/ha6Ax0GlStDde87gbp10IrmoeYmBsbDIGpMQZMpYI+zfaGJHTPWrYUzNg6d1kG+9xlZG+0/e2Ri9jl7iNZ3veMMXrTvCK7Js8H4wbuti3aGcm0JmcrHGYAVbTpMUMOyipo2r3K+694xh/L4xPlB3FoRZQfw5oxEOo/bcJrpWDSh50YOgS0OXfk8818pc7RTHR8YL22su5iRmH5yVl3n11Rk3kfF7av3SLX/Zq/haSzCXoDv1YvVGrHt+IGRs1RV2owm5C/3C1TRPX0WysOz7LJQqSJP7B00nGN5av96I25UblOYWG9mdNaM4NLQ8KH7fD0Omm5KQ3cy+vfWxMIEMgeG2GiVLS/lAw1cs5b8zA2nnG72yaaEglZYN61vuvZnKwKwtyrGyEagcNW0t9XBdFptvg8fi6bba81mxpbriVCvZ0ZzryEdg4uaUHn64tl/pmTy5FOehrCFPlHJMALbO+1Ob2eHLnjEgMAiuVkrfQsci4VAWSjDMzz7j9p5XQuPN9ztjsnRzMU5sOksTPjASo8td2AZjhqPn6nTw06MwLF8UVGDLfyG+FE8TPcv0hzacagjypzPUZZsPpXkP3KBiK0gpJESf7YnI24uJ3TB3+7um/HRw8LnvGFF4MhJXHAg7Y6hgaEeKcocFh0Wll9DP4Ic1Eus+nZbkfcKJ0qp4Jbv7ZJ3RIlPKbCM8T0JNCC908e7QPvRr7FQXBhUIXtdaZpCpnVkVKU9IfIt8tVmBs5R8ilMJb52XB6OmKSLCau0UfegpgdQ==
x-incomingheadercount: 46
x-eopattributedmessage: 0
x-forefront-antispam-report: EFV:NLI; SFV:NSPM; SFS:(7070007)(98901004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:CO1NAM04HT220;
 H:BY1PR11MB0469.namprd11.prod.outlook.com; FPR:; SPF:None; LANG:en; 
x-ms-office365-filtering-correlation-id: 89d7568c-2d54-49c9-dbc6-08d4d39b3c27
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(300000500095)(300135000095)(300000501095)(300135300095)(22001)(300000502095)(300135100095)(300000503095)(300135400095)(201702061074)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322350)(1603101448)(1601125374)(1701031045)(300000504095)(300135200095)(300000505095)(300135600095)(300000506095)(300135500095);
 SRVR:CO1NAM04HT220; 
x-ms-traffictypediagnostic: CO1NAM04HT220:
x-exchange-antispam-report-test: UriScan:(22074186197030)(189930954265078);
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(100000700101)(100105000095)(100000701101)(100105300095)(100000702101)(100105100095)(444000031);
 SRVR:CO1NAM04HT220; BCL:0; PCL:0;
 RULEID:(100000800101)(100110000095)(100000801101)(100110300095)(100000802101)(100110100095)(100000803101)(100110400095)(100000804101)(100110200095)(100000805101)(100110500095);
 SRVR:CO1NAM04HT220; 
x-forefront-prvs: 03793408BA
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 25 Jul 2017 20:25:04.8094 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO1NAM04HT220
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.8 (------)
X-Debbugs-Envelope-To: submit
Cc: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.8 (------)

> From: Eli Zaretskii <eliz@HIDDEN>
> Sent: Tuesday, July 25, 2017 11:34 AM
=20
>> Cc: jraitch@HIDDEN, bug-gnu-emacs@HIDDEN
>> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
>> Date: Tue, 25 Jul 2017 20:06:08 +0200
>>=20
>> >> How, then, do you explain that Emacs 24.3, both installed with WSL
>> >> package manager (apt) and rebuilding it from source (see also this
>> >> thread [1]), work just fine?
>> >=20
>> > It doesn't seem to be the case, as at least one of the participants in
>> > the discussion of that issue said the problem happened in Emacs 24 as
>> > well.
>>=20
>> No, almost surely they are using 24.5.1, what current WSL installs with=
=20
>> "sudo apt install emacs[-nox]"...
>>=20
>> The have to use 24.3! to verify their conclusions..

> OK, but meanwhile I understand that a later build of WSL fixed some
> terminal-related bugs, and the problem is now gone.

Both of these appear to be true. The WSL has a fix which seems to address t=
he problem and 24.3 does not display the issue. Something happened between =
24.3 and now which causes Emacs to tickle this bug, but it may not be relev=
ant.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 18:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 14:35:29 2017
Received: from localhost ([127.0.0.1]:56262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da4g0-0005OH-Qk
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:35:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1da4fz-0005O2-G5
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:35:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da4ft-0007le-Iv
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:35:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43238)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eliz@HIDDEN>) id 1da4ft-0007lQ-GH
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:35:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38177)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da4fs-0001c5-Af
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:35:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da4fo-0007dz-7j
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:35:16 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36164)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1da4fo-0007de-55; Tue, 25 Jul 2017 14:35:12 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4736
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1da4fl-0005nI-RR; Tue, 25 Jul 2017 14:35:12 -0400
Date: Tue, 25 Jul 2017 21:34:53 +0300
Message-Id: <83tw205prm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
In-reply-to: <1e29864e-256c-9348-b023-dc334f940e22@HIDDEN> (message from
 Angelo Graziosi on Tue, 25 Jul 2017 20:06:08 +0200)
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
 <83bmo87g5u.fsf@HIDDEN> <1e29864e-256c-9348-b023-dc334f940e22@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.8 (-------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, jraitch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.8 (-------)

> Cc: jraitch@HIDDEN, bug-gnu-emacs@HIDDEN
> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
> Date: Tue, 25 Jul 2017 20:06:08 +0200
> 
> >> How, then, do you explain that Emacs 24.3, both installed with WSL
> >> package manager (apt) and rebuilding it from source (see also this
> >> thread [1]), work just fine?
> > 
> > It doesn't seem to be the case, as at least one of the participants in
> > the discussion of that issue said the problem happened in Emacs 24 as
> > well.
> 
> No, almost surely they are using 24.5.1, what current WSL installs with 
> "sudo apt install emacs[-nox]"...
> 
> The have to use 24.3! to verify their conclusions..

OK, but meanwhile I understand that a later build of WSL fixed some
terminal-related bugs, and the problem is now gone.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 18:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 14:14:33 2017
Received: from localhost ([127.0.0.1]:56244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da4Lp-0004jj-7n
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:14:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Lo-0004jV-0J
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:14:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Lh-0005LS-Oz
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:14:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35397)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <angelo.graziosi@HIDDEN>)
 id 1da4Lh-0005LJ-L7
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:14:25 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32901)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Lg-00060z-C0
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:14:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Ld-0005HX-4c
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:14:24 -0400
Received: from smtp204.alice.it ([82.57.200.100]:14725)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>)
 id 1da4Lc-0005GR-P2; Tue, 25 Jul 2017 14:14:21 -0400
Received: from [192.168.1.102] (82.55.219.93) by smtp204.alice.it (8.6.060.43)
 (authenticated as angelo.graziosi@HIDDEN)
 id 592CD44421B57929; Tue, 25 Jul 2017 20:14:19 +0200
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
To: Josh Howard <jraitch@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
 <83bmo87g5u.fsf@HIDDEN>
 <BY1PR11MB0469D20A7A4411806F5976B6B3B80@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <6fec967f-8f86-0e3f-68c1-187b65953814@HIDDEN>
Date: Tue, 25 Jul 2017 20:14:18 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <BY1PR11MB0469D20A7A4411806F5976B6B3B80@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: submit
Cc: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)



Il 25/07/2017 16:59, Josh Howard ha scritto:
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Sent: Tuesday, July 25, 2017 7:19 AM
>>
>>> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
>>> Date: Tue, 25 Jul 2017 00:49:10 +0200
>>>
>>> Eli Zaretskii wrote:
>>>> Definitely not an Emacs problem.
>>>
>>> How, then, do you explain that Emacs 24.3, both installed with WSL
>>> package manager (apt) and rebuilding it from source (see also this
>>> thread [1]), work just fine?
>>
>> It doesn't seem to be the case, as at least one of the participants in
>> the discussion of that issue said the problem happened in Emacs 24 as
>> well.
>>
>> And even if some change in Emacs exposed that bug, it doesn't yet mean
>> the bug is in Emacs.
> 
> Correct, this is reproducible (for me) on both emacs24 and emacs26. I did not try emacs25.
Have you tried emacs-24.3? Current WSL install 24.5 which fails with the 
packages manager. Being emacs25 > emacs24.3 it fails too...

My experience is that Emacs > 24.3 fails (24.5, 25.x 26.x)

You can build it yourself:

wget 
http://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-emacs-24.3.tar.gz

tar -xf emacs-emacs-24.3.tar.gz

cd emacs-emacs-24.3
./autogen.sh
./configure --prefix=/home/emacs24.3 --with-x=no [--with-LIB=no]
make
make install

See if it background itself... with the packages manager..




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 18:06:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 14:06:30 2017
Received: from localhost ([127.0.0.1]:56223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da4E2-0004Wc-KW
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:06:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4E0-0004WO-N3
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:06:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Du-00006o-Ou
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:06:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55329)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <angelo.graziosi@HIDDEN>)
 id 1da4Du-00006h-L8
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 14:06:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59312)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Dt-0007NI-HX
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:06:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1da4Dq-0008Tt-Dx
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 14:06:21 -0400
Received: from smtp204.alice.it ([82.57.200.100]:56481)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>)
 id 1da4Dq-0008RW-1A; Tue, 25 Jul 2017 14:06:18 -0400
Received: from [192.168.1.102] (82.55.219.93) by smtp204.alice.it (8.6.060.43)
 (authenticated as angelo.graziosi@HIDDEN)
 id 592CD44421B41C44; Tue, 25 Jul 2017 20:06:16 +0200
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
To: Eli Zaretskii <eliz@HIDDEN>
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
 <83bmo87g5u.fsf@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <1e29864e-256c-9348-b023-dc334f940e22@HIDDEN>
Date: Tue, 25 Jul 2017 20:06:08 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <83bmo87g5u.fsf@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, jraitch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)



Il 25/07/2017 16:19, Eli Zaretskii ha scritto:
>> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
>> Date: Tue, 25 Jul 2017 00:49:10 +0200
>>
>> Eli Zaretskii wrote:
>>> Definitely not an Emacs problem.
>>
>> How, then, do you explain that Emacs 24.3, both installed with WSL
>> package manager (apt) and rebuilding it from source (see also this
>> thread [1]), work just fine?
> 
> It doesn't seem to be the case, as at least one of the participants in
> the discussion of that issue said the problem happened in Emacs 24 as
> well.

No, almost surely they are using 24.5.1, what current WSL installs with 
"sudo apt install emacs[-nox]"...

The have to use 24.3! to verify their conclusions..




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 14:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 10:59:54 2017
Received: from localhost ([127.0.0.1]:56049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da1JS-0006kZ-Kz
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:59:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jraitch@HIDDEN>) id 1da1JQ-0006kJ-BG
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:59:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da1JK-0001e7-EC
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:59:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51543)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>) id 1da1JK-0001du-8U
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:59:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41974)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da1JI-0000Rp-Uk
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 10:59:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1da1JF-0001bc-27
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 10:59:45 -0400
Received: from mail-oln040092004051.outbound.protection.outlook.com
 ([40.92.4.51]:48502 helo=NAM02-CY1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>)
 id 1da1JE-0001bL-Kx; Tue, 25 Jul 2017 10:59:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=jxJhrcpKbCEOVg8etNjGEYFx+4jyD3SAWVYKnjzb924=;
 b=jjc7cLvwoExZq4/yxD8bBCsCefLEF/mk5+HrlXe6+ghZXRafXjpWrGngiiR6eB1OjaS3uPbbm+XkMqePfCHGTzD97YWeElBeOF+4qTmWZ71OR8b0TViGR2Fx5uGbgHuUM/x1w298s3PAtJlvZF2wp9wYVqS5Y1fMATMmhkr/Eyq9wyL4rx+ZanXiRmzg2EPRhhE51AFM+H9sAR0BiyFbYHUm16YCdyp4bE3+4paUYlJ//+3hK0KkQyREscp8bHVHhk6VjeiYJNhFqezj/XwWiovnheZT/E90vvIBYjw35xbheEq7ExMxi4m2fAdUfBW6NBZdaIhQiAp6x4bIJPuxZg==
Received: from CY1NAM02FT060.eop-nam02.prod.protection.outlook.com
 (10.152.74.57) by CY1NAM02HT140.eop-nam02.prod.protection.outlook.com
 (10.152.74.188) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.1.1240.9; Tue, 25
 Jul 2017 14:59:38 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com (10.152.74.51) by
 CY1NAM02FT060.mail.protection.outlook.com (10.152.74.252) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.1240.9 via Frontend Transport; Tue, 25 Jul 2017 14:59:38 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) by
 BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) with mapi id
 15.01.1282.020; Tue, 25 Jul 2017 14:59:38 +0000
From: Josh Howard <jraitch@HIDDEN>
To: Angelo Graziosi <angelo.graziosi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Topic: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Index: AQHTBVEEPHfrvQPz2E6TVu3/xG3ytqJkoatP
Date: Tue, 25 Jul 2017 14:59:38 +0000
Message-ID: <BY1PR11MB0469D20A7A4411806F5976B6B3B80@HIDDEN>
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>,
 <83bmo87g5u.fsf@HIDDEN>
In-Reply-To: <83bmo87g5u.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=outlook.com;
x-incomingtopheadermarker: OriginalChecksum:3A1795E618E0DE33228A5215D3D8F303C2D4DC0DBF24FC1F929C438C83FCF988;
 UpperCasedChecksum:E8FCC1BDC9A5DFC612115FB567283EF0814447CB8AF0DEFE58200EA36E935951;
 SizeAsReceived:7318; Count:46
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [t3fV63gcTd1tDoUO7E10KSWgVEfP/QBx]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; CY1NAM02HT140;
 7:ZXM12DJPGRgpIX3JROMG+wElCLWwnzC33/52CZ8J0IYVyPPK9ww852TvoE4a2Me/5CZdmsMcwu0QvX4jz3VjrxpOsyH3Kab4mBDjAb4mDTtV/Q5AyPIeNZS3ov2aBx24nKF9nVGprumwwP9CHp73BvVIxSVWFZqg2Slm1Dy+COZz0eQPYR4Hoxi27Lvg5l/ke/bjSRXDD/cw50FW4WfPrx4IagD4Qb4GwTL3Pec9Mffugb2W9995r/RnSJvcEdykWII3cdkFnsyB4L+H6sr1n6tD1ehC+cUxCgWT//yL7pr+WnuWDTvh+09NYn9I4Mz0QYJwffygPQ6VD9sfpG+hlgzZrg3yfwpa9pcHXTeWZGTIwpuw8z2hInPjaUyZ+ay7QpXO3nYZjrQADpving5McLy2JC6njM1S8KjhNADgUXzgyegj5pWoasQekzL5xz+y1UC3wM2K5apMWEli5IvPpi/gu6vLKpuEnw4rX2Sgo0Q31MHBd19Ui/B5dIhPdJltmhV2iYjbWELx0Hak/Yq21Jo4uwqQG2u3rNdSss+Dv5sJwU9+EHqdbo3aonMoVa4hquTDed727zViOjBO5v6PB/jIX9sXzeigtABaAEY2dzhjY0rrthUQMgRxz4XVZP2YPhSCFnJsyfhtl/gOQxxvcNl+sdD9R620rxi15gtWaVVHABVeyn97KYxyCy+zuQ1wBMELbeZ1VmZPACpf/w+mu41ewu8e//xRV+WnXip7hbPosvOZcxUN2Y16fhD8Gw5vGwHP3Uyb/HUJb9pwsGytiA==
x-incomingheadercount: 46
x-eopattributedmessage: 0
x-forefront-antispam-report: EFV:NLI; SFV:NSPM; SFS:(7070007)(98901004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:CY1NAM02HT140;
 H:BY1PR11MB0469.namprd11.prod.outlook.com; FPR:; SPF:None; LANG:en; 
x-ms-office365-filtering-correlation-id: 25f1a353-585e-41a3-b061-08d4d36dc59b
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(300000500095)(300135000095)(300000501095)(300135300095)(22001)(300000502095)(300135100095)(300000503095)(300135400095)(201702061074)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322350)(1603101448)(1601125374)(1701031045)(300000504095)(300135200095)(300000505095)(300135600095)(300000506095)(300135500095);
 SRVR:CY1NAM02HT140; 
x-ms-traffictypediagnostic: CY1NAM02HT140:
x-exchange-antispam-report-test: UriScan:(22074186197030);
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(100000700101)(100105000095)(100000701101)(100105300095)(100000702101)(100105100095)(444000031);
 SRVR:CY1NAM02HT140; BCL:0; PCL:0;
 RULEID:(100000800101)(100110000095)(100000801101)(100110300095)(100000802101)(100110100095)(100000803101)(100110400095)(100000804101)(100110200095)(100000805101)(100110500095);
 SRVR:CY1NAM02HT140; 
x-forefront-prvs: 03793408BA
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 25 Jul 2017 14:59:38.4574 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CY1NAM02HT140
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.8 (------)
X-Debbugs-Envelope-To: submit
Cc: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.8 (------)

> From: Eli Zaretskii <eliz@HIDDEN>
> Sent: Tuesday, July 25, 2017 7:19 AM
>
>> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
>> Date: Tue, 25 Jul 2017 00:49:10 +0200
>>=20
>> Eli Zaretskii wrote:
>> > Definitely not an Emacs problem.
>>=20
>> How, then, do you explain that Emacs 24.3, both installed with WSL=20
>> package manager (apt) and rebuilding it from source (see also this=20
>> thread [1]), work just fine?
>
> It doesn't seem to be the case, as at least one of the participants in
> the discussion of that issue said the problem happened in Emacs 24 as
> well.
>
> And even if some change in Emacs exposed that bug, it doesn't yet mean
> the bug is in Emacs.

Correct, this is reproducible (for me) on both emacs24 and emacs26. I did n=
ot try emacs25.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2017 14:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 10:19:40 2017
Received: from localhost ([127.0.0.1]:55986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1da0gW-0005nQ-DH
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:19:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1da0gT-0005nC-U0
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:19:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da0gN-0006Rd-U5
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:19:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39711)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eliz@HIDDEN>) id 1da0gN-0006RX-R3
 for submit <at> debbugs.gnu.org; Tue, 25 Jul 2017 10:19:31 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57547)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da0gM-0000Mk-C0
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 10:19:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1da0gG-0006N0-G3
 for bug-gnu-emacs@HIDDEN; Tue, 25 Jul 2017 10:19:30 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32785)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1da0gG-0006Mu-BS; Tue, 25 Jul 2017 10:19:24 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4364
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1da0gF-0001yk-Q3; Tue, 25 Jul 2017 10:19:24 -0400
Date: Tue, 25 Jul 2017 17:19:25 +0300
Message-Id: <83bmo87g5u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
In-reply-to: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN> (message from
 Angelo Graziosi on Tue, 25 Jul 2017 00:49:10 +0200)
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
References: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.8 (-------)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, jraitch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.8 (-------)

> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
> Date: Tue, 25 Jul 2017 00:49:10 +0200
> 
> Eli Zaretskii wrote:
> > Definitely not an Emacs problem.
> 
> How, then, do you explain that Emacs 24.3, both installed with WSL 
> package manager (apt) and rebuilding it from source (see also this 
> thread [1]), work just fine?

It doesn't seem to be the case, as at least one of the participants in
the discussion of that issue said the problem happened in Emacs 24 as
well.

And even if some change in Emacs exposed that bug, it doesn't yet mean
the bug is in Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2017 22:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 18:49:46 2017
Received: from localhost ([127.0.0.1]:54775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZmAb-0004DX-SW
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 18:49:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dZmAa-0004DL-GC
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 18:49:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dZmAU-0000Vc-AD
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 18:49:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43037)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <angelo.graziosi@HIDDEN>)
 id 1dZmAU-0000VS-7E
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 18:49:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51378)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dZmAS-0005q6-SH
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jul 2017 18:49:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dZmAO-0000PI-1H
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jul 2017 18:49:36 -0400
Received: from smtp202.alice.it ([82.57.200.98]:4404)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>)
 id 1dZmAN-0000KE-LO; Mon, 24 Jul 2017 18:49:31 -0400
Received: from [192.168.1.102] (82.55.219.93) by smtp202.alice.it (8.6.060.43)
 (authenticated as angelo.graziosi@HIDDEN)
 id 5966842F0D2CD0AB; Tue, 25 Jul 2017 00:49:28 +0200
To: jraitch@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, bug-gnu-emacs@HIDDEN
References: 
Subject: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <35200f77-7112-8c6c-4d18-f6537acfee42@HIDDEN>
Date: Tue, 25 Jul 2017 00:49:10 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)

Eli Zaretskii wrote:
> Definitely not an Emacs problem.

How, then, do you explain that Emacs 24.3, both installed with WSL 
package manager (apt) and rebuilding it from source (see also this 
thread [1]), work just fine?

I had to rebuilt that version to install sr-speedbar. I installed it to 
/opt/emacs24.3 but I use my (nox) builds from master (/opt/emacs-nox) to 
edit text. I only use emacs24.3 to install packages from ELPA/MELPA...

  Angelo

----
[1] http://lists.gnu.org/archive/html/bug-gnu-emacs/2017-07/msg00682.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at 27804 <at> debbugs.gnu.org:


Received: (at 27804) by debbugs.gnu.org; 24 Jul 2017 18:40:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 14:40:16 2017
Received: from localhost ([127.0.0.1]:54652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZiHA-0006XG-DR
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:40:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dZiH8-0006X4-Qc
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:40:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dZiGy-0003EO-JT
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:40:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45977)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dZiGy-0003EK-G1; Mon, 24 Jul 2017 14:40:04 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3755
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dZiGx-0002f3-4l; Mon, 24 Jul 2017 14:40:04 -0400
Date: Mon, 24 Jul 2017 21:40:00 +0300
Message-Id: <83h8y17k73.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Josh Howard <jraitch@HIDDEN>
In-reply-to: <BY1PR11MB0469026F818ED0A94BE0194FB3BB0@HIDDEN>
 (message from Josh Howard on Mon, 24 Jul 2017 18:06:09 +0000)
Subject: Re: bug#27804: 26.0.50;
 Emacs backgrounds itself during package-list-packages on WSL
References: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>,
 <mrshhl4u2q.fsf@HIDDEN>
 <BY1PR11MB0469026F818ED0A94BE0194FB3BB0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.8 (-------)
X-Debbugs-Envelope-To: 27804
Cc: 27804 <at> debbugs.gnu.org, rgm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.8 (-------)

> From: Josh Howard <jraitch@HIDDEN>
> Date: Mon, 24 Jul 2017 18:06:09 +0000
> 
> I think by some definition of supported, yes. It's "beta"; I can add onto the bug report listed below, but figured the Emacs community could provide more meaningful debugging help.

But it sounds like all the debugging information is already available
in the issue pointed out by Glenn?  Emacs gets a signal that causes it
to background.  The problem is why the signal is delivered, and its
cause is outside Emacs, could be the WSL itself, could be ncurses when
it runs on WSL, could be something else.  But definitely not Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at 27804 <at> debbugs.gnu.org:


Received: (at 27804) by debbugs.gnu.org; 24 Jul 2017 18:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 14:18:14 2017
Received: from localhost ([127.0.0.1]:54621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZhvp-0005yo-V6
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:18:14 -0400
Received: from mail-oln040092008042.outbound.protection.outlook.com
 ([40.92.8.42]:59458 helo=NAM03-DM3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jraitch@HIDDEN>) id 1dZhkG-0003rz-P2
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:06:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=A8m66T4QX5y333cUD7Ql8/O94tmYleJ1cVE/bOd2o10=;
 b=dIPihkqTnWkkXIZLKI5YWwzi2ILPG2zNgueXJCe9KE6fabo1ozhUOv56uyNFcZoiR35umUZyweW1HZp1NH+EHebGI3jq+yiE+C5zzv/GoNY5xp8ArDdJlHNTn0CScVgkBZdlwcWWzA9VEKTSgfQV+nW3WRkTfaHD5lGSrW3BMOSKWnJMuXNiqjxXKlpOAwSdAF3079cRKF7rkB0f5OnIG6Z0dDsv7QdC+cOWb5aFSKaUfzfZrRZdDxisbr31ZRWhGl+9+RGv361jM4me2rxrDzZwOqcuyIPlHC8QfkuOeMEXE36xYQDyoEQZ3q4tVPsX0sSMhvZ0Lbm00H0/2DchEQ==
Received: from DM3NAM03FT033.eop-NAM03.prod.protection.outlook.com
 (10.152.82.58) by DM3NAM03HT143.eop-NAM03.prod.protection.outlook.com
 (10.152.83.169) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.1.1261.13; Mon, 24
 Jul 2017 18:06:10 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com (10.152.82.56) by
 DM3NAM03FT033.mail.protection.outlook.com (10.152.82.204) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.1261.13 via Frontend Transport; Mon, 24 Jul 2017 18:06:10 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) by
 BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) with mapi id
 15.01.1282.017; Mon, 24 Jul 2017 18:06:10 +0000
From: Josh Howard <jraitch@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Topic: bug#27804: 26.0.50; Emacs backgrounds itself during
 package-list-packages on WSL
Thread-Index: AQHTBJ8uPHfrvQPz2E6TVu3/xG3ytqJjPRlhgAAIbKI=
Date: Mon, 24 Jul 2017 18:06:09 +0000
Message-ID: <BY1PR11MB0469026F818ED0A94BE0194FB3BB0@HIDDEN>
References: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>,
 <mrshhl4u2q.fsf@HIDDEN>
In-Reply-To: <mrshhl4u2q.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: debbugs.gnu.org; dkim=none (message not signed)
 header.d=none;debbugs.gnu.org; dmarc=none action=none
 header.from=outlook.com;
x-incomingtopheadermarker: OriginalChecksum:61DDA8E5809999CCE333848475ECA6A27A502B5A932E7B59C6137F98DA0C7612;
 UpperCasedChecksum:A8A87CBAC4AF6E63DB473C6E33D29FE7DDEEDBCD82CD3744BFFB1B10B85384B5;
 SizeAsReceived:7321; Count:46
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [c0jZ8rF4XfacB5KbsJILzD9tOvvrKUKS]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; DM3NAM03HT143;
 7:ffyBMFOMYTK0ZXwJxGCZj1gkDx7dP+EsYaxmJ0H6cXp48T70P/zShOBRjgn5jOCmaPtPIKoquN8hPJsInYGqEaxtT3iglBSOVY44SEtiu4bx/JyI5Vrg3Qfqq1jfPluH2vsh/EYvD/zPF6N222wnWpwvtsobSUa27Eo3eX5MD8FAThFsH6Pwlgjv6IXlz0n2BZavuQWycjl2jlwwdswZzkqtZO4a3avhipg0dEwR8eReXamLz85vMLUceQr0iFeEiZhvcrCvzKUpQv4jnQ0UkyJpMc7rWAPN95nAc6zJO5TnbkAJKVOAxanFQxHAX9THxUqQ9Hv4KQFL5pgOdCgkEWjwq7xSX8ob0FPXjoR6bJ+1fBXZ3QnfUJewxc1910HdaZEmGuE7T9MMDlrMg+U6iAEHGlkknlThrf0R2Q9Kti8LfVaAaPvL+5SWVxGnTNJZIS9Q/sAuqa9GgZx1hjUX9IXefhyid93Auzzwgq61GOOAZ/mVEArME9Y10iDvfLUaadoEwgzKeqgt5E8qenuqZ85kDzOb8/UVriIqXHh8u5ekQsRaa/SQWUWWjfoTWV4WRi8oq+XPpAdD6r3HUX1Or2U3LeywKR2ud0stMKSgNiuf91HrOQOJwczZWB6YpgJRSH/j3EwPOzgHGHVAzeQF4smD0L/PMjvCli88LfOFTELV3jsi7X+lrtrswLJd94aAjFcFqIC8PKCn5S6CZxbwFw7DPKJPnncRurcKaSfa85ImjRlDYWzIUoSeWVJWwvlgUc35xJc4zejiKePN+SMMwg==
x-incomingheadercount: 46
x-eopattributedmessage: 0
x-forefront-antispam-report: EFV:NLI; SFV:NSPM; SFS:(7070007)(98901004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:DM3NAM03HT143;
 H:BY1PR11MB0469.namprd11.prod.outlook.com; FPR:; SPF:None; LANG:en; 
x-ms-office365-filtering-correlation-id: be6adc4f-8872-44a4-87f7-08d4d2bea9c6
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(300000500095)(300135000095)(300000501095)(300135300095)(22001)(300000502095)(300135100095)(300000503095)(300135400095)(201702061074)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322350)(1601125374)(1603101448)(1701031045)(300000504095)(300135200095)(300000505095)(300135600095)(300000506095)(300135500095);
 SRVR:DM3NAM03HT143; 
x-ms-traffictypediagnostic: DM3NAM03HT143:
x-exchange-antispam-report-test: UriScan:(22074186197030)(166708455590820)(5213294742642); 
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(100000700101)(100105000095)(100000701101)(100105300095)(100000702101)(100105100095)(444000031);
 SRVR:DM3NAM03HT143; BCL:0; PCL:0;
 RULEID:(100000800101)(100110000095)(100000801101)(100110300095)(100000802101)(100110100095)(100000803101)(100110400095)(100000804101)(100110200095)(100000805101)(100110500095);
 SRVR:DM3NAM03HT143; 
x-forefront-prvs: 0378F1E47A
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 24 Jul 2017 18:06:09.7890 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM3NAM03HT143
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27804
X-Mailman-Approved-At: Mon, 24 Jul 2017 14:18:13 -0400
Cc: "27804 <at> debbugs.gnu.org" <27804 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

I think by some definition of supported, yes. It's "beta"; I can add onto t=
he bug report listed below, but figured the Emacs community could provide m=
ore meaningful debugging help.






From: Glenn Morris <rgm@HIDDEN>
Sent: Monday, July 24, 2017 10:34 AM
To: Josh Howard
Cc: 27804 <at> debbugs.gnu.org
Subject: Re: bug#27804: 26.0.50; Emacs backgrounds itself during package-li=
st-packages on WSL
=A0  =20
Josh Howard wrote:

> When running Emacs in "Bash on Ubuntu on Windows" (WSL) and executing
> M-x package-list-packages, you will get the typical list of packages.
> Hitting a movement key (C-n, down arrow, etc.) will cause Emacs to
> background (STOP) itself. You can 'fg' the process, but it's in
> essentially a useless state at that point.=20

Does Microsoft support "Bash on Ubuntu on Windows"?

https://github.com/Microsoft/BashOnWindows/issues/2088

 https://avatars1.githubusercontent.com/u/17799180?v=3D4&s=3D400=20

Emacs crashes when I use "M-x list-packages" #2088 - GitHub
github.com
Join GitHub today. GitHub is home to over 20 million developers working tog=
ether to host and review code, manage projects, and build software together=
.
    =




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at 27804 <at> debbugs.gnu.org:


Received: (at 27804) by debbugs.gnu.org; 24 Jul 2017 18:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 14:07:16 2017
Received: from localhost ([127.0.0.1]:54602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZhlD-0003u0-O6
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:07:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dZhlC-0003tn-CO
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:07:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dZhl4-0004Eh-79
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 14:07:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45613)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dZhl4-0004Ed-3X; Mon, 24 Jul 2017 14:07:06 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3698
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dZhl2-0002Wd-P7; Mon, 24 Jul 2017 14:07:05 -0400
Date: Mon, 24 Jul 2017 21:07:02 +0300
Message-Id: <83lgnd7lq1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-reply-to: <mrshhl4u2q.fsf@HIDDEN> (message from Glenn Morris on
 Mon, 24 Jul 2017 13:34:53 -0400)
Subject: Re: bug#27804: 26.0.50;
 Emacs backgrounds itself during package-list-packages on WSL
References: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>
 <mrshhl4u2q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.8 (-------)
X-Debbugs-Envelope-To: 27804
Cc: 27804 <at> debbugs.gnu.org, jraitch@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.8 (-------)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Mon, 24 Jul 2017 13:34:53 -0400
> Cc: 27804 <at> debbugs.gnu.org
> 
> Josh Howard wrote:
> 
> > When running Emacs in "Bash on Ubuntu on Windows" (WSL) and executing
> > M-x package-list-packages, you will get the typical list of packages.
> > Hitting a movement key (C-n, down arrow, etc.) will cause Emacs to
> > background (STOP) itself. You can 'fg' the process, but it's in
> > essentially a useless state at that point. 
> 
> Does Microsoft support "Bash on Ubuntu on Windows"?
> 
> https://github.com/Microsoft/BashOnWindows/issues/2088

Definitely not an Emacs problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.
Merged 25221 27804. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27804 <at> debbugs.gnu.org:


Received: (at 27804) by debbugs.gnu.org; 24 Jul 2017 17:35:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 13:35:05 2017
Received: from localhost ([127.0.0.1]:54572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZhG5-00032k-D1
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:35:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1dZhG3-00032B-LP
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:35:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1dZhFx-0006tF-MU
 for 27804 <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:34:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45248)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1dZhFv-0006s6-4p; Mon, 24 Jul 2017 13:34:55 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1dZhFu-0000L3-9J; Mon, 24 Jul 2017 13:34:54 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Josh Howard <jraitch@HIDDEN>
Subject: Re: bug#27804: 26.0.50;
 Emacs backgrounds itself during package-list-packages on WSL
References: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>
X-Spook: Mena terrorist lock picking Bin Laden electronic
X-Ran: ZxN\Si+BN|(dGjQm&pi!Jk`/_pFsOrdRVtG~>ON;@{zW3LDUoWJZA)l=.*l^*:bFJiHY)0
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 24 Jul 2017 13:34:53 -0400
In-Reply-To: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>
 (Josh Howard's message of "Mon, 24 Jul 2017 17:14:03 +0000")
Message-ID: <mrshhl4u2q.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.8 (-------)
X-Debbugs-Envelope-To: 27804
Cc: 27804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.8 (-------)

Josh Howard wrote:

> When running Emacs in "Bash on Ubuntu on Windows" (WSL) and executing
> M-x package-list-packages, you will get the typical list of packages.
> Hitting a movement key (C-n, down arrow, etc.) will cause Emacs to
> background (STOP) itself. You can 'fg' the process, but it's in
> essentially a useless state at that point. 

Does Microsoft support "Bash on Ubuntu on Windows"?

https://github.com/Microsoft/BashOnWindows/issues/2088




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2017 17:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 13:31:23 2017
Received: from localhost ([127.0.0.1]:54566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dZhCU-0002wk-ET
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:31:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jraitch@HIDDEN>) id 1dZgvw-0002WU-VY
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:14:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1dZgvq-0003Pm-DR
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:14:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51098)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>) id 1dZgvq-0003Pi-9G
 for submit <at> debbugs.gnu.org; Mon, 24 Jul 2017 13:14:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56919)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1dZgvo-0004cZ-Qr
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jul 2017 13:14:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jraitch@HIDDEN>) id 1dZgvl-0003O3-M6
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jul 2017 13:14:08 -0400
Received: from mail-oln040092003083.outbound.protection.outlook.com
 ([40.92.3.83]:49470 helo=NAM02-BL2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jraitch@HIDDEN>) id 1dZgvl-0003NY-Ch
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jul 2017 13:14:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=eVhsCQMsDk1IYb4EpUThKodrcXvelI7UEfEXsImUCYo=;
 b=EmyyUSqZdQ0/Aedw9fkseJl/W+6EwT4WDdgGz4XVuMJZ2S5w8Y2WVpWs/TYPgDy1BeenVHb9gRvyvWGbq5QldPOE95/dJMkHuCXCE52LNpgF6tI/7H/dJn32I44x5RFuCtNxghunblJhMoUQRwRHTbBOw5LDhB9mN+Vq7bybjzbI5ep9IngLyF8cN+4rVdHfAb9SZYNX0GbV7QerNBp//Ru6vBSAWRGqd5Rg5W3M5x3P1Rf++CgabB9uw3ucQcsrTTSHjT72iTnCtnlyzJF9z9nNigjoiUMK87D6a6R0FzkPQ/T+WlD0c3d1/3NkQMa5AfSexAWAAz/hQ4NGg2D5mg==
Received: from CY1NAM02FT012.eop-nam02.prod.protection.outlook.com
 (10.152.74.54) by CY1NAM02HT209.eop-nam02.prod.protection.outlook.com
 (10.152.74.92) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.1.1240.9; Mon, 24
 Jul 2017 17:14:03 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com (10.152.74.55) by
 CY1NAM02FT012.mail.protection.outlook.com (10.152.75.158) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.1240.9 via Frontend Transport; Mon, 24 Jul 2017 17:14:03 +0000
Received: from BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) by
 BY1PR11MB0469.namprd11.prod.outlook.com ([10.162.146.157]) with mapi id
 15.01.1282.017; Mon, 24 Jul 2017 17:14:03 +0000
From: Josh Howard <jraitch@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 26.0.50; Emacs backgrounds itself during package-list-packages on WSL
Thread-Topic: 26.0.50; Emacs backgrounds itself during package-list-packages
 on WSL
Thread-Index: AQHTBJ8uPHfrvQPz2E6TVu3/xG3ytg==
Date: Mon, 24 Jul 2017 17:14:03 +0000
Message-ID: <BY1PR11MB046982E57BD69B26BEB9870DB3BB0@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=outlook.com;
x-incomingtopheadermarker: OriginalChecksum:2559519880B7D5A22AB7F0D4BB5BD8E14F872D3EC80D51D928888041E17640BD;
 UpperCasedChecksum:92B77AEDF72F6BB9D04A28796E8F2795A1089635BAA723F7CEE20A641241C5C0;
 SizeAsReceived:7069; Count:43
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [JxeUfNgtaRyDQMX/JJovh8TMshyN5vTy]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; CY1NAM02HT209;
 7:wWd1K7vrmSZfRqx728CbJ7qt0iFaV5qMqD4boea33zvTTYegapFqW7AsRnAaG2B/OMWh363vla8M6/kDhX5x6ka//kFtWqYbgebxXHQc00AyqIotP3ZRVWwSaTBSxRaPsJaOb6b3WzC5hQIKW3ZWQIuNB0W/w9j1Vz4mBGYAjdZAhMANcVDAex9HtvZDiz+0QC7yDOTO66yCzN24vCT2C0tbjpij+nLYRYc04nMNE1IeJcr7LoPOJGCaVaoFCesoYh+g4JK0M3PhYnmQLsiV/YHBgVo9dPFcA6zvs1nKtklQRYGZlqXBf1j5lfefu03d8cKAryA8lAZa4NmjjCSNSbJg5bX9NwQnrda/n4veC4NXzXhlCHFfMkn2rgLxK0cRoOWXSkCZ9j8KTr+mI5hQBLDayJYCuKlUujBeWALKkezCx1IbI8wlPsZbMb7182dvnNuFRfmA5kSlYe+au9Zni1LZkaMyTyxzdCGM87aG+QRONT+E8FI/qao+xy7l0+olU3EEwJytaXETC9L60+IOlEZDPBkXU2DwWE/J+U/UtaeXpcf40iOBeWOtc50ZXwlqjEnWqNNJS4CjxmnOh2p5JlixRaU/ttGQQQCgUxg7JexFUvtsRZUy5tQrCD2miHVtV+uEE+TasU28ML5geMm0OyYNnnJ7g1WQ5ts2QMfqGn5ydJsUTJvpKJW7OG2eg3eVQvzokOnwTP+JsadYAJuOQROVzwoB2l6mSMjh0vLMVioZjVFjpyhoyjsG6iCnQjganxQwFIuqEVIzkZJbmIN5Bg==
x-incomingheadercount: 43
x-eopattributedmessage: 0
x-forefront-antispam-report: EFV:NLI; SFV:NSPM; SFS:(7070007)(98901004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:CY1NAM02HT209;
 H:BY1PR11MB0469.namprd11.prod.outlook.com; FPR:; SPF:None; LANG:en; 
x-ms-office365-filtering-correlation-id: d272b644-dd53-4527-75c8-08d4d2b7621d
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(300000500095)(300135000095)(300000501095)(300135300095)(22001)(300000502095)(300135100095)(300000503095)(300135400095)(201702061074)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322350)(1601125374)(1603101448)(1701031045)(300000504095)(300135200095)(300000505095)(300135600095)(300000506095)(300135500095);
 SRVR:CY1NAM02HT209; 
x-ms-traffictypediagnostic: CY1NAM02HT209:
x-exchange-antispam-report-test: UriScan:(788757137089);
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(100000700101)(100105000095)(100000701101)(100105300095)(100000702101)(100105100095)(444000031);
 SRVR:CY1NAM02HT209; BCL:0; PCL:0;
 RULEID:(100000800101)(100110000095)(100000801101)(100110300095)(100000802101)(100110100095)(100000803101)(100110400095)(100000804101)(100110200095)(100000805101)(100110500095);
 SRVR:CY1NAM02HT209; 
x-forefront-prvs: 0378F1E47A
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 24 Jul 2017 17:14:03.2558 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CY1NAM02HT209
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.8 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Jul 2017 13:31:21 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.8 (------)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from 'emacs -Q':

When running Emacs in "Bash on Ubuntu on Windows" (WSL) and executing M-x p=
ackage-list-packages, you will get the typical list of packages. Hitting a =
movement key (C-n, down arrow, etc.) will cause Emacs to background (STOP) =
itself. You can 'fg' the process, but it's in essentially a useless state a=
t that point. This is consistent whether running with '-Q' or not.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    'bt full' and 'xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/26.0.50/etc/DEBUG.

In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu)
 of 2017-07-23 built on lgw01-10
System Description:     Ubuntu 16.04.2 LTS

Recent messages:
Loading ede...done
Loading paren...done
For information about GNU Emacs and the GNU system, type <f1> C-a.
Quit
Making completion list...

Configured using:
 'configure --build=3Dx86_64-linux-gnu --prefix=3D/usr
 '--includedir=3D${prefix}/include' '--mandir=3D${prefix}/share/man'
 '--infodir=3D${prefix}/share/info' --sysconfdir=3D/etc --localstatedir=3D/=
var
 --disable-silent-rules '--libdir=3D${prefix}/lib/x86_64-linux-gnu'
 '--libexecdir=3D${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
 --disable-dependency-tracking --prefix=3D/usr --sharedstatedir=3D/var/lib
 --program-suffix=3D-snapshot --with-modules=3Dyes --with-x=3Dno 'CFLAGS=3D=
-g
 -O2 -fstack-protector-strong -Wformat -Werror=3Dformat-security'
 'CPPFLAGS=3D-Wdate-time -D_FORTIFY_SOURCE=3D2'
 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
JPEG SOUND GPM DBUS NOTIFY LIBSELINUX GNUTLS LIBXML2 ZLIB MODULES
LIBSYSTEMD

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail tool-bar rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
regexp-opt rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
term/xterm xterm time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select mouse jit-lock font-lock syntax
facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
multi-tty make-network-process emacs)

Memory information:
((conses 16 95541 6693)
 (symbols 48 19302 1)
 (miscs 40 34 96)
 (strings 32 27954 1217)
 (string-bytes 1 748177)
 (vectors 16 12542)
 (vector-slots 8 440353 5396)
 (floats 8 49 572)
 (intervals 56 230 0)
 (buffers 992 12)
 (heap 1024 34128 1561))





Acknowledgement sent to Josh Howard <jraitch@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27804; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Nov 2017 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.